#
# HLstatsX - Real-time player and clan rankings and statistics for Half-Life 2
# http://www.hlstatsx.com/
# Copyright (C) 2005-2007 Tobias Oetzel (Tobi@hlstatsx.com)
#
# HLstatsX is an enhanced version of HLstats made by Simon Garner
# HLstats - Real-time player and clan rankings and statistics for Half-Life
# http://sourceforge.net/projects/hlstats/
# Copyright (C) 2001  Simon Garner
#             
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#
#
#
#
#
#
# This file is used by hlstats.pl, hlstats-awards.pl and hlstats-resolve.pl.
# Note that many options can be overridden on the command line; try running with
# the --help switch for details of available command line options.
#


##
## Database Settings
##

# DBHost - Database server "address" or "address:port". Address can be an IP or
#          a hostname. The default MySQL port is 3306 (tcp).
DBHost "db1.kapsi.fi"

# DBUsername - User to connect to the database as.
DBUsername "jtiira_1"

# DBPassword - Password for the database user.
DBPassword "f7tjhfwX8"

# DBName - Name of the database to use.
DBName "jtiira_1"

# DBLowPriority - Use INSERT DELAYED and DELETE LOW_PRIORITY for some queries.
#                 This can give better performance, but may make statistics less
#                 "real time". 1=on 0=off
DBLowPriority 1


##
## UDP Socket Settings (should match "logaddress ip port" on the game servers)
##

# BindIP - IP address to bind to (leave empty to use all interfaces).
BindIP ""

# Port - Port to listen on for log data from the game servers.
Port 50480


##
## DNS Settings
##

# DNSResolveIP - Resolve player IP addresses to hostnames. Requires a working
#                DNS setup (on the box running hlstats.pl). 1=on 0=off
DNSResolveIP 1

# DNSTimeout - Time in seconds to wait for DNS queries to complete before
#              cancelling. You may need to increase this if on a slow connection
#              or if you find a lot of IPs are not being resolved. However,
#              while hlstats.pl is waiting for an IP to resolve it cannot be
#              parsing log data.
DNSTimeout 5


##
## Rcon Settings
##

# Rcon - Allow HLstats to send Rcon commands to the game servers. 1=on 0=off
Rcon 1

# RconIgnoreSelf - Ignore (do not log) Rcon commands originating from the same
#                  IP as the server being Rcon'd. (Useful if you run any kind of
#                  monitoring script which polls the server regularly by Rcon.)
#                  1=on 0=off
RconIgnoreSelf 0

# RconRecord - Sets whether to record Rcon commands to the Admin event table.
#              This can be useful to see what your admins are doing. But if you
#              run programs like PB it can also fill your database up with a lot
#              of useless junk.
#              1=on 0=off
RconRecord 1


##
## General Settings
##

# MailTo - E-mail address to mail database errors to. (See also MailPath.)
MailTo "jtiira@kapsi.fi"

# MailPath - Path to the 'mail' program -- usually /bin/mail
MailPath "/bin/mail"

# Mode - EXPERIMENTAL: Sets the player-tracking mode.
#        Possible values:
#             Normal     - Recommended for public Internet server use.
#                          Players will be tracked by WON ID.
#             NameTrack  - Useful for shared-PC environments, such as
#                          Internet cafes, etc. Players will be tracked
#                          by nickname. EXPERIMENTAL!
#             LAN        - Useful for LAN servers where players do not
#                          have a real WON ID. Players will be tracked
#                          by IP Address. EXPERIMENTAL!
#         ++ Note: Make sure you change the setting of MODE at the top of
#            config.php, as well.
Mode Normal

# SkillMaxChange - Specifies the maximum number of skill points a player can
#                  gain at one time through frags. Because players with low
#                  skill ratings gain more for killing players with high skill
#                  ratings, this cap is needed to prevent e.g. a player with a
#                  skill rating of '100' killing a player with a skill rating of
#                  '2000' and therefore gaining several hundred or thousand
#                  skill points. Instead they cannot gain more than the value
#                  specified here. (Default is 25 skill points maximum change.)
SkillMaxChange 15

# SkillMinChange - Specifies the minimum number of skill points a player will
#                  gain at one time through frags. (Default is 2 skill points 
#                  minimum change)
SkillMinChange 2

# PlayerMinKills - Specifies the number of kills a player must have to get regular
#                  points. If not the killer and victim will always get the points
#                  of SkillMinChange. (Default are 50 kills).
PlayerMinKills 20

# DeleteDays - HLstats will automatically delete history events from the
#              events tables when they are over this many days old.
#              This is important for performance reasons. Set lower if you
#              are logging a large number of game servers or find the load on
#              the MySQL server is too high. Don't forget to also change the
#              DELETEDAYS define at the top of config.php.
DeleteDays 21


# UseTimestamp - Set to 0 (the default) to use the current time on the database
#                server for the timestamp when recording events. Set to 1 to use
#                the timestamp provided on the log data. Unless you are
#                processing old log files on STDIN, you probably want to set
#                this to 0; otherwise you will need to ensure that the clocks on
#                your game servers are accurate. 1=on 0=off
UseTimestamp 0

# DebugLevel - Set this to 1 to have debugging information printed on stdout.
#              Set higher for even more debugging information. Set to 0 for
#              quiet operation. It is recommended that you set this to 1 when
#              first configuring HLstats, to help diagnose any problems.
DebugLevel 1

# MinActivity - HLstats will automatically hide players which have no event
#               more days than this value. (Default 28 days) 
#              ++ Note: Make sure you change the setting of MINACTIVITY at the
#                 top of config.php, as well.
MinActivity 21

# AllowOnlyConfigServers - If set to 1 (default) then only servers which are config in this file are tracked. Other
#                          servers will NOT automatically added and tracked! This is a big scurity thing!
#
AllowOnlyConfigServers 1


# TrackStatsTrend - Saves every day how many players, kills etc, are in the database and gvies access to graphical 
#                   statistics. 1=on(default) 0=off
#
TrackStatsTrend 1


# GlobalBanning - Set to 1 to make player bans available on all participating servers. Players who were banned permanently
#                 are automatic hided from rankings. 1=on 0=off(default)
#
GlobalBanning 0

# LogChat - Defines if chat logging should be saved in the database. 1=on 0=off(default)
#           ++ Note: Make sure you change the setting of LOG_CHAT in the config.php, as well.
#
LogChat 0

# LogChatAdmins - Defines if admins chat should be logged. 1=on 0=off(default)
#
#
LogChatAdmins 0

# GlobalChat - Defines if chat messages are broadcasted through all particapting 
#              servers. 0=off(default), 1=Broadcast to all, 2=Broadcast only to admins
#
GlobalChat 0



# Servers - Array to set which servers are tracked by hlstats and to set server 
#           specific parameters. 
#
#           Parameters:
#           AddressPort                - Server address (IP:Port-Syntax).
#           MinPlayers                 - Specifies the minimum number of players required in the server
#                                        for most player events (objectives, frags, etc.) to be recorded.
#                                        This prevents players from hopping on an empty server and
#                                        boosting their skill rating by capturing the flag, etc., with no
#                                        opposition. (Default is 2 players required on the server).
#           AdminContact               - E-Mail Adress. This is broadcasted to master server and displays ingame.
#           HLStatsURL                 - URL to your HLStats. This is broadcasted to master server and displays ingame.
#           RawSocketSupport           - With raw sockets you get access ingame to all important stats. Its content is displayed
#                                        into the console. Works only on unix-systems. 1=on 0=off(default)
#           RawSocketHelpNotice        - A help notice for players is shown ingame with PlayerEventsCommand if PlayerEvents are enabled.
#                                        1=on 0=off(default)
#           DisplayResultsInBrowser    - If enabled (1=on 0=off(default)) the player queries will displayed in the valve browser as small
#                                        html files instead of sending the data with rawsockets to the console. 
#                                        Requires mani_admin_plugin V1.0.1f (RECOMMENED)
#      		MasterServerData           - Broadcasting server data to the hlstats master server.
#                                        You can set up which informations are sent:
#                                          0 = Nothing
#                                          1 = Server details (contact, url, address, map, players etc.)
#                                          2 = Player details (name, frags, latency, skill etc)
#                                          4 = Activate global ranking
#                                        Examples:
#                                          Send all informations: 
#                                            MasterServerData = 7 (1+2+4)
#                                          Send serverdata and playerdata without particapting global ranking: 
#                                            MasterServerData = 3 (1+2) (Default)
#                                          Send just serverdata:  
#                                            MasterServerData = 1 (1)  (Notice: Sending just players is not possible)
#                                          Turn off communication with master server
#                                            MasterServerData = 0
#           MasterServerInterval       - Sets the interval broadcasting data to the master server. Default are 200 lines.
#	                                     (Minimum: 50 lines, Maximum: 1000 lines).
#           BroadCastEvents            - Nearly all Events will be directly broadcasted through rcon on the server. 
#                                        You will directly see, how many points you got for a kill or bomb plating etc. 1=on 0=off(default)
#           BroadCastPlayerActions     - Toggle broadcasting PlayerActions ingame. (f.e Touched a hostage or dropped the Bomb). 1=on 0=off(default)
#           BroadCastEventsCommand     - The command to broadcast the events. Default is the "say"-command 
#           BroadCastEventsCommandSteamid - If the BroadCastCommand needs as second argument the steamid of the player
#                                        set this value to 1. 1=on 0=off(default)                    
#           BroadCastEventsCommandAnnounce - Command to announce ingame summary stats and admin email etc. Default is "say".
#           PlayerEvents               - Determine if players can get player-specific display ingame (f.e. /skill) 
#           PlayerEventsCommand        - The command to display player events. Default is the "say"-command.
#           PlayerEventsCommandSteamid - If the PlayerEventsCommand needs as second argument the steamid of the player
#                                        set this value to 1. 1=on 0=off(default)                    
#           PlayerEventsCommandOSD     - The command to display amx style menu for "/rank", "/session", "/kpd" commands. Default is "". 
#           PlayerEventsAdminCommand   - Some messages (f.e. team-balancer) are only for admins. here you can specify a
#                                        admin-command. Default is "".       
#	        ShowStats                  - If set to 1 (default) periodically stats are shown ingame with the boradcast-command.
#           TKPenalty                  - Penalty for a team kill (Default: 50 points).
#           SuicidePenalty             - Penalty for a suicide (Default: 5 points).
#           AutoTeamBalance            - If rcon is enabled hlstats automatically analyzed teams and balance players for fair teams. 
#                                        It will make teams numerical even and also swap players based on there skill to balance teams. 
#                                        1=on 0=off(default)
#           AutoBanRetry               - Auto-bans player for 5 minutes if the disconnect from the server. Prevent players from reconnecting 
#                                        until the have a good team and won't loose many points. 1=on 0=off(default)
#           TrackServerLoad            - Saves every 5 min how much players are playing on the server.
#           MinimumPlayersRank         - Required players position to be allowed playing on the server (e.g Top500-Server).
#           Admins                     - Steamids seperated by "," ("STEAM_0:1:XXX,STEAM_0:0:XXX,STEAM_0:1:XXX"). 
#           SwitchAdmins               - Defines if admins are switched from auto-team balancer 1=on 0=off(default).
#           IgnoreBots                 - If enabled bots are not tracked by HLstatsX 1=on 0=off(default).
#           SkillMode                  - Mode of skill changes on frags with following options:
#                                          0 = Normal (Victims lost all the points which the killer got).
#                                          1 = Victims lost 3/4 the points which the killer got.
#                                          2 = Victims lost 1/2 the points which the killer got.
#                                          3 = Victims lost 1/4 the points which the killer got.
#                                          4 = Victims lost no points.
#           GameType                   - Mode of the current gametype:
#                                          0 = Normal mod standard (default).
#                                          1 = Deathmatch for CSS.
#           EnablePublicCommands       - If activated players can report their statistics to all players in the chat area.
#           Mod                        - Valid values are SOURCEMO, BEETLE or MANI if one of such plugins are installed.

# KIERTO
Servers[0] = ("AddressPort"                    => "84.20.130.73:27015", 
              "MinPlayers"                     => "6",              
              "AdminContact"                   => "jtiira@kapsi.fi", 
              "HLStatsURL"                     => "http://vesabbs-css.pilipali.info/stats",
              "DisplayResultsInBrowser"        => "0",
              "MasterServerData"               => "7",
              "MasterServerInterval"           => "200",
              "BroadCastEvents"                => "0",
              "BroadCastPlayerActions"         => "0",
              "BroadCastEventsCommand"         => "ma_hlx_psay",
              "BroadCastEventsCommandSteamid"  => "1",
              "BroadCastEventsCommandAnnounce" => "ma_hlx_csay",
              "PlayerEvents"                   => "1",
              "PlayerEventsCommand"            => "ma_hlx_psay",
              "PlayerEventsCommandSteamid"     => "1",
              "PlayerEventsCommandOSD"         => "ma_hlx_msay",
              "PlayerEventsAdminCommand"       => "",
              "ShowStats"                      => "0",
              "TKPenalty"                      => "20",
              "SuicidePenalty"                 => "0",
              "AutoTeamBalance"                => "0",
              "AutoBanRetry"                   => "0",
              "TrackServerLoad"                => "1",
              "MinimumPlayersRank"             => "0",
              "Admins"                         => "STEAM_0:0:7156944,STEAM_0:1:348785,STEAM_0:1:931905,STEAM_0:0:4639103,STEAM_0:1:4340064,STEAM_0:0:4710185",
              "SwitchAdmins"                   => "0",
              "IgnoreBots"                     => "1",
              "SkillMode"                      => "1",
              "GameType"                       => "0",
              "EnablePublicCommands"           => "0",  
              "Mod"                            => "MANI")

# DUST2 ONLY
Servers[1] = ("AddressPort"                    => "84.20.130.75:27015",
              "MinPlayers"                     => "6",
              "AdminContact"                   => "jtiira@kapsi.fi",
              "HLStatsURL"                     => "http://vesabbs-css.pilipali.info/stats",
              "DisplayResultsInBrowser"        => "0",
              "MasterServerData"               => "7",
              "MasterServerInterval"           => "200",
              "BroadCastEvents"                => "0",
              "BroadCastPlayerActions"         => "0",
              "BroadCastEventsCommand"         => "ma_hlx_psay",
              "BroadCastEventsCommandSteamid"  => "1",
              "BroadCastEventsCommandAnnounce" => "ma_hlx_csay",
              "PlayerEvents"                   => "1",
              "PlayerEventsCommand"            => "ma_hlx_psay",
              "PlayerEventsCommandSteamid"     => "1",
              "PlayerEventsCommandOSD"         => "ma_hlx_msay",
              "PlayerEventsAdminCommand"       => "",
              "ShowStats"                      => "0",
              "TKPenalty"                      => "20",
              "SuicidePenalty"                 => "0",
              "AutoTeamBalance"                => "0",
              "AutoBanRetry"                   => "0",
              "TrackServerLoad"                => "1",
              "MinimumPlayersRank"             => "0",
              "Admins"                         => "STEAM_0:0:7156944,STEAM_0:1:348785,STEAM_0:1:931905,STEAM_0:0:4639103,STEAM_0:1:4340064,STEAM_0:0:4710185",
              "SwitchAdmins"                   => "0",
              "IgnoreBots"                     => "1",
              "SkillMode"                      => "1",
              "GameType"                       => "0",
              "EnablePublicCommands"           => "0",
              "Mod"                            => "MANI")






# Example server configuration with extended options enabled (requires SourceMod)
#Servers[0] = ("AddressPort"                    => "xxx.xxx.xxx.xxx:xxxxx", 
#              "MinPlayers"                     => "6",              
#              "AdminContact"                   => "Tobi@hlstatsx.com", 
#              "HLStatsURL"                     => "http://www.hlstatsx.com",
#              "DisplayResultsInBrowser"        => "1",
#              "MasterServerData"               => "7",
#              "MasterServerInterval"           => "200",
#              "BroadCastEvents"                => "1",
#              "BroadCastPlayerActions"         => "1",
#              "BroadCastEventsCommand"         => "hlx_sm_psay",
#              "BroadCastEventsCommandSteamid"  => "1",
#              "BroadCastEventsCommandAnnounce" => "hlx_sm_csay",
#              "PlayerEvents"                   => "1",
#              "PlayerEventsCommand"            => "hlx_sm_psay",
#              "PlayerEventsCommandSteamid"     => "1",
#              "PlayerEventsCommandOSD"         => "hlx_sm_msay",
#              "PlayerEventsAdminCommand"       => "",
#              "ShowStats"                      => "1",
#              "TKPenalty"                      => "50",
#              "SuicidePenalty"                 => "5",
#              "AutoTeamBalance"                => "0",
#              "AutoBanRetry"                   => "0",
#              "TrackServerLoad"                => "1",
#              "MinimumPlayersRank"             => "0",
#              "Admins"                         => "",
#              "SwitchAdmins"                   => "0",
#              "IgnoreBots"                     => "1",
#              "SkillMode"                      => "0",
#              "GameType"                       => "0",
#              "EnablePublicCommands"           => "1", 
#              "Mod"                            => "MANI")

# Example server configuration with extended options enabled (requires Beetlesmod)
#Servers[0] = ("AddressPort"                    => "xxx.xxx.xxx.xxx:xxxxx", 
#              "MinPlayers"                     => "6",              
#              "AdminContact"                   => "Tobi@hlstatsx.com", 
#              "HLStatsURL"                     => "http://www.hlstatsx.com",
#              "DisplayResultsInBrowser"        => "1",
#              "MasterServerData"               => "7",
#              "MasterServerInterval"           => "200",
#              "BroadCastEvents"                => "1",
#              "BroadCastPlayerActions"         => "1",
#              "BroadCastEventsCommand"         => "hlx_psay",
#              "BroadCastEventsCommandSteamid"  => "1",
#              "BroadCastEventsCommandAnnounce" => "hlx_csay",
#              "PlayerEvents"                   => "1",
#              "PlayerEventsCommand"            => "hlx_psay",
#              "PlayerEventsCommandSteamid"     => "1",
#              "PlayerEventsCommandOSD"         => "hlx_msay",
#              "PlayerEventsAdminCommand"       => "",
#              "ShowStats"                      => "1",
#              "TKPenalty"                      => "50",
#              "SuicidePenalty"                 => "5",
#              "AutoTeamBalance"                => "0",
#              "AutoBanRetry"                   => "0",
#              "TrackServerLoad"                => "1",
#              "MinimumPlayersRank"             => "0",
#              "Admins"                         => "",
#              "SwitchAdmins"                   => "0",
#              "IgnoreBots"                     => "1",
#              "SkillMode"                      => "0",
#              "GameType"                       => "0",
#              "EnablePublicCommands"           => "1", 
#              "Mod"                            => "BEETLE")

# Example server configuration with extended options enabled (requires Mani-Admin-Plugin V1.2 series)
#Servers[0] = ("AddressPort"                    => "xxx.xxx.xxx.xxx:xxxxx", 
#              "MinPlayers"                     => "6",              
#              "AdminContact"                   => "Tobi@hlstatsx.com", 
#              "HLStatsURL"                     => "http://www.hlstatsx.com",
#              "DisplayResultsInBrowser"        => "1",
#              "MasterServerData"               => "7",
#              "MasterServerInterval"           => "200",
#              "BroadCastEvents"                => "1",
#              "BroadCastPlayerActions"         => "1",
#              "BroadCastEventsCommand"         => "ma_hlx_psay",
#              "BroadCastEventsCommandSteamid"  => "1",
#              "BroadCastEventsCommandAnnounce" => "ma_hlx_csay",
#              "PlayerEvents"                   => "1",
#              "PlayerEventsCommand"            => "ma_hlx_psay",
#              "PlayerEventsCommandSteamid"     => "1",
#              "PlayerEventsCommandOSD"         => "ma_hlx_msay",
#              "PlayerEventsAdminCommand"       => "",
#              "ShowStats"                      => "1",
#              "TKPenalty"                      => "50",
#              "SuicidePenalty"                 => "5",
#              "AutoTeamBalance"                => "0",
#              "AutoBanRetry"                   => "0",
#              "TrackServerLoad"                => "1",
#              "MinimumPlayersRank"             => "0",
#              "Admins"                         => "",
#              "SwitchAdmins"                   => "0",
#              "IgnoreBots"                     => "1",
#              "SkillMode"                      => "0",
#              "GameType"                       => "0",
#              "EnablePublicCommands"           => "1",  
#              "Mod"                            => "MANI")
              


# Example server configuration with extended options enabled (requires Mani-Admin-Plugin V1.1 series)
#Servers[0] = ("AddressPort"                    => "xxx.xxx.xxx.xxx:xxxxx", 
#              "MinPlayers"                     => "6",              
#              "AdminContact"                   => "Tobi@hlstatsx.com", 
#              "HLStatsURL"                     => "http://www.hlstatsx.com",
#              "DisplayResultsInBrowser"        => "1",
#              "MasterServerData"               => "7",
#              "MasterServerInterval"           => "200",
#              "BroadCastEvents"                => "1",
#              "BroadCastPlayerActions"         => "1",
#              "BroadCastEventsCommand"         => "ma_psay",
#              "BroadCastEventsCommandSteamid"  => "1",
#              "BroadCastEventsCommandAnnounce" => "ma_csay",
#              "PlayerEvents"                   => "1",
#              "PlayerEventsCommand"            => "ma_psay",
#              "PlayerEventsCommandSteamid"     => "1",
#              "PlayerEventsCommandOSD"         => "ma_msay",
#              "PlayerEventsAdminCommand"       => "",
#              "ShowStats"                      => "1",
#              "TKPenalty"                      => "50",
#              "SuicidePenalty"                 => "5",
#              "AutoTeamBalance"                => "0",
#              "AutoBanRetry"                   => "0",
#              "TrackServerLoad"                => "1",
#              "MinimumPlayersRank"             => "0",
#              "Admins"                         => "",
#              "SwitchAdmins"                   => "0",
#              "IgnoreBots"                     => "1",
#              "SkillMode"                      => "0",
#              "GameType"                       => "0",
#              "EnablePublicCommands"           => "1", 
#              "Mod"                            => "MANI")

